Subject: [MMUSIC] BUNDLE: Mandating symmetric media?

From: Christer Holmberg <[email-masked]>
Date: Mon, 6 Nov 2017 14:03:38 +0000

Hi,

With ICE, DTLS, symmetric RTP etc becoming more common, would anyone have a problem with mandating symmetric media when using BUNDLE?

Regards,

Christer

---

From: Jonathan Lennox <[email-masked]>
Date: Mon, 6 Nov 2017 11:55:39 -0500

What do you mean by symmetric media?  If you mean each side has to send using the same codec, or even that the answerer has to reflect the offerer’s codec list verbatim (in the same order), that sounds like a terrible idea (and I don’t see what it has to do with ICE or DTLS).

If you mean something else, I don’t know what you mean. :-)

> On Nov 6, 2017, at 9:03 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 6 Nov 2017 17:03:39 +0000

Hi,

I mean using the same address:port for both sending and receiving data (whether it’s RTP or something else).

Regards,

Christer

Sent from my iPhone

On 6 Nov 2017, at 18.55, Jonathan Lennox <[email-masked]<mailto:[email-masked]>> wrote:

On Nov 6, 2017, at 9:03 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Regards,

Christer
_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Roni Even <[email-masked]>
Date: Tue, 7 Nov 2017 06:09:20 +0000

Hi,
Symmetric as specified in RFC4961?
Roni

From: mmusic [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: יום ב 06 נובמבר 2017 19:04
To: Jonathan Lennox
Cc: mmusic
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

Hi,

Regards,

Christer
Sent from my iPhone

Hi,

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 7 Nov 2017 07:17:17 +0000

Hi,

Symmetric as in sending and receiving using the same local address:port, i.e., using the same transport/5-tuple in both directions.

For RTP-based data,  that would be 4961, yes.

Regards,

Christer

Sent from my iPhone

On 7 Nov 2017, at 8.09, Roni Even <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Hi,

Regards,

Christer
Sent from my iPhone

Hi,

Regards,

Christer

---

From: Colin Perkins <[email-masked]>
Date: Tue, 7 Nov 2017 10:33:55 +0000

Hi,

Section 4.7 of draft-ietf-rtcweb-rtp-usage already mandates this for WebRTC endpoints, which are probably the major users of BUNDLE.

Colin

> On 7 Nov 2017, at 07:17, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
> On 7 Nov 2017, at 8.09, Roni Even <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Hi,
>> From: mmusic [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Christer Holmberg
>> On 6 Nov 2017, at 18.55, Jonathan Lennox <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> On Nov 6, 2017, at 9:03 AM, Christer Holmberg <[email-masked] <mailto:[email-masked]>> wrote:
>>  
>> Hi,
>>  
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/mmusic <https://www.ietf.org/mailman/listinfo/mmusic>
>>  

-- 
Colin Perkins
https://csperkins.org/

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 7 Nov 2017 10:42:22 +0000

Hi,

>Section 4.7 of draft-ietf-rtcweb-rtp-usage already mandates this for WebRTC endpoints, which are probably the major users of BUNDLE.

Correct. And, the data channel will always be symmetric by design.

Colin, as someone who has good insight in the world of RTP, do you see any general (outside of WebRTC) issues with mandating symmetric?

Regards,

Christer

On 7 Nov 2017, at 07:17, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Regards,

Christer

Sent from my iPhone

Hi,

Hi,

Regards,

Christer
Sent from my iPhone

Hi,

Regards,

Christer

--
Colin Perkins
https://csperkins.org/

---

From: Colin Perkins <[email-masked]>
Date: Tue, 7 Nov 2017 10:45:02 +0000

> On 7 Nov 2017, at 10:42, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 

No issues that I know of. I think it’s a good idea, and needed for NAT traversal in many cases.

-- 
Colin Perkins
https://csperkins.org/

---

From: Roni Even <[email-masked]>
Date: Tue, 7 Nov 2017 15:13:28 +0000

Support Collin view
Roni

From: Colin Perkins [mailto:[email-masked]]
Sent: יום ג 07 נובמבר 2017 12:45
To: Christer Holmberg
Cc: Roni Even; Jonathan Lennox; mmusic
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

On 7 Nov 2017, at 10:42, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

--
Colin Perkins
https://csperkins.org/

---

From: Roman Shpount <[email-masked]>
Date: Tue, 7 Nov 2017 14:32:13 -0500

I agree. Make it symmetric.

_____________
Roman Shpount

On Tue, Nov 7, 2017 at 10:13 AM, Roni Even <[email-masked]> wrote:

> Support Collin view
>
> Roni
>
>
>
> *From:* Colin Perkins [mailto:[email-masked]]
> *Sent:* יום ג 07 נובמבר 2017 12:45
> *To:* Christer Holmberg
> *Cc:* Roni Even; Jonathan Lennox; mmusic
> *Subject:* Re: [MMUSIC] BUNDLE: Mandating symmetric media?
>
>
>
> >Section 4.7 of draft-ietf-rtcweb-rtp-usage already mandates this for
> WebRTC endpoints, which are probably the major users of BUNDLE.
>
>
>
> Colin, as someone who has good insight in the world of RTP, do you see any
> general (outside of WebRTC) issues with mandating symmetric?
>
>
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 9 Nov 2017 09:55:06 +0000

Hi,

I have updated my “transport” PR, to also include usage of symmetric media for bundled media.

https://github.com/cdh4u/draft-sdp-bundle/pull/41

Regards,

Christer

From: Roman Shpount [mailto:[email-masked]]
Sent: 07 November 2017 21:32
To: Roni Even <[email-masked]>
Cc: Colin Perkins <[email-masked]>; Christer Holmberg <[email-masked]>; Jonathan Lennox <[email-masked]>; mmusic <[email-masked]>
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

_____________
Roman Shpount

On Tue, Nov 7, 2017 at 10:13 AM, Roni Even <[email-masked]<mailto:[email-masked]>> wrote:
Support Collin view
Roni

From: Colin Perkins [mailto:[email-masked]<mailto:[email-masked]>]
Sent: יום ג 07 נובמבר 2017 12:45
To: Christer Holmberg
Cc: Roni Even; Jonathan Lennox; mmusic
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

Hi,

--
Colin Perkins
https://csperkins.org/

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 11 Nov 2017 09:13:00 +0000

Hi,

The PR has been merged.

Regards,

Christer

From: mmusic [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 09 November 2017 11:55
To: Roman Shpount <[email-masked]>; Roni Even <[email-masked]>
Cc: Jonathan Lennox <[email-masked]>; Colin Perkins <[email-masked]>; mmusic <[email-masked]>
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

Hi,

Regards,

Christer

From: Roman Shpount [mailto:[email-masked]]
Sent: 07 November 2017 21:32
To: Roni Even <[email-masked]<mailto:[email-masked]>>
Cc: Colin Perkins <[email-masked]<mailto:[email-masked]>>; Christer Holmberg <[email-masked]<mailto:[email-masked]>>; Jonathan Lennox <[email-masked]<mailto:[email-masked]>>; mmusic <[email-masked]<mailto:[email-masked]>>
Subject: Re: [MMUSIC] BUNDLE: Mandating symmetric media?

_____________
Roman Shpount

Hi,

--
Colin Perkins
https://csperkins.org/